// file      : CIDLC/CompositionEmitter.cpp
// author    : Jeff Parsons <j.parsons@vanderbilt.edu>
// cvs-id    : CompositionEmitter.cpp,v 1.2 2006/04/21 16:29:18 wotte Exp

#include "CompositionEmitter.hpp"
#include "Literals.hpp"

using namespace StringLiterals;

CompositionEmitter::CompositionEmitter (Context& c)
  : EmitterBase (c)
{
}

void
CompositionEmitter::pre (Type& t)
{
  ctx.composition_name (t.name ().str ());

  os << STRS[CIDL_NS] << t.name () << "{";
}

void
CompositionEmitter::post (Type&)
{
  os << "}";
}
